# Uses of Enum
org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util.TelemetryMetricDefinition.CircuitBreakerState

Packages that use TelemetryMetricDefinition.CircuitBreakerState
Package
Description
org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util

## Uses of TelemetryMetricDefinition.CircuitBreakerState in org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util

Methods in org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util that return TelemetryMetricDefinition.CircuitBreakerState
Modifier and Type
Method
Description
`static TelemetryMetricDefinition.CircuitBreakerState`
TelemetryMetricDefinition.CircuitBreakerState.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TelemetryMetricDefinition.CircuitBreakerState[]`
TelemetryMetricDefinition.CircuitBreakerState.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util with parameters of type TelemetryMetricDefinition.CircuitBreakerState
Modifier and Type
Method
Description
`TelemetryCounterMetric`
TelemetryMetricGetter.`getCircuitBreakerState(TelemetryMetricDefinition.CircuitBreakerState cbState)`